Instrument Control (GPIB, Serial, VISA, IVI)

cancel
Showing results for 
Search instead for 
Did you mean: 

Will NI release a .NET Standard version of the NI-VISA .NET library?

I am in general very interested to know of NI's plans to move it's .NET DLLs to .NET Standard such that the DLLs can be run both under .NET Framework and .NET 5 (this is the new name for .NET Core).

 

I am in particular interested in NI-VISA, since that would be a huge start and seems like it should be the easiest to port. What this would enable is a huge step forward in being able to use other languages with NI hardware. For example, with a .NET Standard NI-VISA DLL, one could use C# or F# on a cRIO running NI Linux Real-Time.

 

Even better if LabVIEW could call .NET Standard DLLs on Linux.

 

What NI's strategy to support .NET Standard DLLs and thus .NET 5? This includes releasing .NET Standard DLLs and updating LabVIEW to be able to call and build .NET Standard DLLs.

Message 1 of 2
(826 Views)

.NET Core 1.0 was released in 2016, which was six years ago at this point. Given NI has never responded to this question and the fact that I have not seen any mention of .NET Core, .NET 5, or .NET 6 by NI, I can only assume NI has no plans to support anything modern in the .NET world. I was asking NI representatives by phone and email way before I posted this question on the forum, and I don't think they even knew what .NET Core or .NET Standard were or are.

 

.NET Core is not even called .NET Core anymore. It changed to .NET 5, is now at the current version of .NET 6, and will soon be .NET 7.

 

.NET Framework, which is all that NI currently supports, will reach End of Support on April 26, 2022. That means it will no longer receive security fixes.

 

.NET Framework 4.5.2, 4.6, 4.6.1 will reach End of Support on April 26, 2022 (microsoft.com)

Message 2 of 2
(272 Views)